---
title: Notification.permission
slug: Web/API/Notification/permission
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <code>permission</code> read-only property of the {{domxref("Notification")}} interface indicates the current permission granted by the user for the current origin to display web notifications.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>permission</var> = Notification.permission;</pre>

<h3 id="Return_Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the current permission. The value can be:</p>

<ul>
 <li><code>granted</code>: The user has explicitly granted permission for the current origin to display system notifications.</li>
 <li><code>denied</code>: The user has explicitly denied permission for the current origin to display system notifications.</li>
 <li><code>default</code>: The user decision is unknown; in this case the application will act as if permission was <code>denied</code>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<p>The following snippet could be used if you wanted to first check whether notifications are supported, then check if permission has been granted for the current origin to send notifications, then request permission if required, before then sending a notification.</p>

<pre class="brush: js notranslate">function notifyMe() {
  // Let's check if the browser supports notifications
  if (!("Notification" in window)) {
    console.log("This browser does not support desktop notification");
  }

  // Let's check whether notification permissions have alredy been granted
  else if (Notification.permission === "granted") {
    // If it's okay let's create a notification
    var notification = new Notification("Hi there!");
  }

  // Otherwise, we need to ask the user for permission
  else if (Notification.permission !== 'denied' || Notification.permission === "default") {
    Notification.requestPermission(function (permission) {
      // If the user accepts, let's create a notification
      if (permission === "granted") {
        var notification = new Notification("Hi there!");
      }
    });
  }

  // At last, if the user has denied notifications, and you
  // want to be respectful there is no need to bother them any more.
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Notifications","#dom-notification-permission","permission")}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.permission")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/docs/Web/API/Notifications_API">Notifications API</a></li>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
 <li><a href="/en-US/docs/Web/API/Permissions_API">Permissions API</a></li>
 <li><a href="/en-US/docs/Web/API/Permissions_API/Using_the_Permissions_API">Using the Permissions API</a></li>
</ul>
